Add a formula to a pricing calculator
curl --request POST \
--url https://api.journeybee.io/v1/pricing-calculators/{uuid}/formulas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"condition": "<string>",
"value": 123,
"formula_config": {
"condition": {
"variable_name": "<string>",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 4503599627370495
},
"when_false": {
"mode": "flat",
"amount": 4503599627370495
},
"no_charge_when_zero": true
},
"selected_product_uuid": "<string>",
"sort_order": 123
}
'import requests
url = "https://api.journeybee.io/v1/pricing-calculators/{uuid}/formulas"
payload = {
"name": "<string>",
"condition": "<string>",
"value": 123,
"formula_config": {
"condition": {
"variable_name": "<string>",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 4503599627370495
},
"when_false": {
"mode": "flat",
"amount": 4503599627370495
},
"no_charge_when_zero": True
},
"selected_product_uuid": "<string>",
"sort_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
condition: '<string>',
value: 123,
formula_config: {
condition: {variable_name: '<string>', value: '<string>'},
when_true: {mode: 'flat', amount: 4503599627370495},
when_false: {mode: 'flat', amount: 4503599627370495},
no_charge_when_zero: true
},
selected_product_uuid: '<string>',
sort_order: 123
})
};
fetch('https://api.journeybee.io/v1/pricing-calculators/{uuid}/formulas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"name": "<string>",
"condition": "<string>",
"value": 123,
"formula_config": {
"condition": {
"variable_name": "<string>",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 4503599627370495
},
"when_false": {
"mode": "flat",
"amount": 4503599627370495
},
"no_charge_when_zero": true
},
"selected_product_uuid": "<string>",
"sort_order": 123,
"created_at": "<string>",
"updated_at": "<string>"
}Pricing Calculator Formulas
Add a formula to a pricing calculator
POST
/
pricing-calculators
/
{uuid}
/
formulas
Add a formula to a pricing calculator
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
discount, tax, or surcharge
Available options:
discount, tax, surcharge Formula name
Available options:
fixed, percentage, formula Fixed amount or percentage
Structured amount config used when calculation_type is "formula".
Show child attributes
Show child attributes
Available options:
one_time, recurring Available options:
subtotal, running_total Response
201 - application/json
Default Response
Available options:
discount, tax, surcharge Available options:
fixed, percentage, formula Structured amount config used when calculation_type is "formula".
Show child attributes
Show child attributes
Available options:
one_time, recurring Available options:
subtotal, running_total ⌘I